/*******************************************************************************
 * FoxLoadoutChangedWidget generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxLoadoutChangedWidget extends GFxObject within GFxMoviePlayer
    native(HUD);

var const localized string LocStringLoadoutSelected;
var const localized string LocStringLoadoutExplanation;
var transient FoxPC PCOwner;

function Initialize()
{
    local array<string> Labels;
    local ASDisplayInfo NewDisplayInfo;

    Labels.AddItem(BuildLoadoutSelectedString());
    Labels.AddItem(LocStringLoadoutExplanation);
    as_SetLabels(Labels);
    PCOwner.DynamicUI.SetTimer(class'FoxHudUI'.default.LoadoutChangedWidget.DispTime, as_TransitionOut);
    // End:0x106
    if(PCOwner.DynamicUI.Menu != none)
    {
        SetPosition(0.0, 85.0);
    }
    // End:0x172
    else
    {
        SetPosition(class'FoxHudUI'.default.LoadoutChangedWidget.X, class'FoxHudUI'.default.LoadoutChangedWidget.Y);
    }
    NewDisplayInfo = GetDisplayInfo();
    NewDisplayInfo.hasAlpha = true;
    NewDisplayInfo.Alpha = class'FoxHudUI'.default.LoadoutChangedWidget.Opacity;
    SetDisplayInfo(NewDisplayInfo);
    //return;    
}

// Export UFoxLoadoutChangedWidget::execBuildLoadoutSelectedString(FFrame&, void* const)
native function string BuildLoadoutSelectedString();

function RemovedLoadoutChanged()
{
    PCOwner.DynamicUI.LoadoutChangedNotification = none;
    //return;    
}

function as_SetLabels(array<string> Labels)
{
    ActionScriptVoid("setLabels");
    //return;    
}

function as_TransitionOut()
{
    ActionScriptVoid("transitionOut");
    //return;    
}

defaultproperties
{
    LocStringLoadoutSelected="LOADOUT 0%i SELECTED"
    LocStringLoadoutExplanation="You will have this loadout on respawn"
}